Skip to content

Field Requirements & Validation

jonbev edited this page Nov 6, 2014 · 9 revisions

/booking POST

Required fields
propertyRef (string 1-6)
brandCode (string 2)
fromDate (date)
toDate (date)
adults (int)
children (int)
infants (int)
pets (int)

/bookings/{id}/party PUT

Required fields
title (string 2-10)
firstName (string 0-50)
surname (string 0-50)
age (string 1-7)
type (string 5-6)

/booking/{id}/customer PUT

Required fields
name -
title (string 2-10)
firstName (string 0-30) (should be initials only) surname (string 0-30)
address -
addr1 (string 1-30)
addr2 (string 1-30)
town (string 1-30)
county (string 1-30)
postcode (string 1-12)
country (string 2)
daytimePhone (string 5-40)
eveningPhone (string 5-40)
mobilePhone (string 5-40)
email (string valid email)
emailOptIn (bool)
source (string)
which (string) (optional)

/booking/{id}/extras/{type} PUT

Required fields
quantity (int)
price (float)

/booking/id/note POST

Required fields
message (string)
visibility (string) = "public"

/booking/id/confirmation PUT

Required fields
status (bool)

/booking/id/payment POST

/tabsbooking/id/payment POST

Required fields
amount (float)
type (string 1-50)
txType (string 1-50)
vendorTxCode (string 1-50)
vpsTxId (string 1-50)
status (string 1-50)
statusDetail (string)
txAuthNo (int)
avsCV2 (string 1-50)
addressResult (string 1-50)
postcodeResult (string 1-50)
cv2Result (string 1-50)
giftAid (int)
threeDSecureStatus (string 1-50)
cavv (string 1-50)
addressStatus (string)
payerStatus (string)
cardType (string 1-50)
last4Digits (string 1-50)
vpsSignature (string 1-50)

/booking-enquiry POST

Required fields
propertyRef (string 1-6)
brandCode (string 2)
fromDate (date)
toDate (date)
partySize (int)
pets (int)

/brochure-request PUT

Required fields
brandCode (string 2)
customer -
name -
title (string 2-10)
firstName (string 0-30) (should be initials only) surname (string 0-30)
address -
addr1 (string 1-30)
addr2 (string 1-30)
town (string 1-30)
county (string 1-30)
postcode (string 1-12)
country (string 2)
daytimePhone (string 5-40)
eveningPhone (string 5-40)
mobilePhone (string 5-40)
email (string valid email)
emailOptIn (bool)
source (string)
which (string) (optional)

/ownerpack POST

Required fields
brandCode (string 2)
owner -
name -
title (string 2-10)
firstName (string 0-30) (should be initials only) surname (string 0-30)
address -
addr1 (string 1-30)
addr2 (string 1-30)
town (string 1-30)
county (string 1-30)
postcode (string 1-12)
country (string 2)
daytimePhone (string 5-40)
email (string valid email)
source (string)
which (string) (optional)
property -
where (string 2-50)
about (string)
currentlyLetting (bool)

/ownerbooking POST

Required fields
propertyRef (string 1-6)
brandCode (string 2)
fromDate (date)
toDate (date)
note (string)

Clone this wiki locally